Subject: Re: 979d63d50c0c0f7bc537bf821e056cc9fe5abd38 bpf: prevent out of bounds speculation on pointer arithmetic

From: Greg KH <[email-masked]>
Date: Thu, 14 Mar 2019 07:57:07 -0700

On Thu, Mar 14, 2019 at 10:41:57PM +0800, Jason Yan wrote:
> 
> 
> On 2019/3/13 0:22, Greg KH wrote:
> > On Tue, Mar 12, 2019 at 10:58:39PM +0800, Jason Yan wrote:
> > > 
> > > 
> > > On 2019/3/12 19:52, Greg KH wrote:
> > > > On Mon, Mar 11, 2019 at 05:18:33PM +0800, Jason Yan wrote:
> > > > > Hi, Daniel & Greg
> > > > > 
> > > > > This patch (979d63d50c0c bpf: prevent out of bounds speculation on pointer
> > > > > arithmetic) was assigned a CVE (CVE-2019-7308) with a high score:
> > > > > 
> > > > > CVSS v3.0 Severity and Metrics:
> > > > > Base Score: 9.8 CRITICAL
> > > > > 
> > > > > And this patch is not in stable-4.4, would you please backport this patch to
> > > > > 4.4?
> > > > 
> > > > For a bit more context, it's also not in 4.14.y, 4.9.y, or 4.4.y.  I
> > > > found a backported series for 4.4.y in the SLES kernel tree that I could
> > > > try to import here if it really is a big deal.
> > > > 
> > > 
> > > I'm sorry that I did not find them. I only know the SLES  kernel tree at:
> > > https://github.com/openSUSE/kernel.
> > > Is there another place for the SLES kernel tree?
> > 
> > That's the tree you want, look at the SLES branches.  I see the patches
> > backported to the SLE12-SP4 branch already, so that is hopefully a
> > working set of patches for 4.4.y.
> > 
> 
> I checked the SLE12-SP4 branch and the kernel version is 4.12. There is
> still a lot of conflicts even with 4.14.y. So it's hard to backport to
> 4.4.y. I will try to solve the conflicts with 4.14.y but I'm not sure if
> I can solve all the conflicts and finish this job.

Oops, try looking at the SLE12-SP3 branch, that is 4.4 based.  I don't
know if they backported the patches there or not though.

thanks,

greg k-h